package com.duiba.tuia.youtui.web.model.mainmeet;

import java.util.HashMap;
import java.util.Map;

/**
 * 主会场区块,关联变量
 *
 * Created by xuefeng on 2017/9/25.
 */
public class BlockRelation {

    Map<String, Boolean> isIncludeMap = null;//区块配置是否包含嵌入式插件
    Map<String, Long> relationActivityId = null;//区块对应的活动id，暂时用于埋点
    Map<String, Long> relationPluginId = null;//区块对应的插件id，暂时用于埋点

    public BlockRelation () {
        isIncludeMap = new HashMap<>();
        relationActivityId = new HashMap<>();
        relationPluginId = new HashMap<>();
    }

    public Map<String, Boolean> getIsIncludeMap() {
        return isIncludeMap;
    }

    public void setIsIncludeMap(Map<String, Boolean> isIncludeMap) {
        this.isIncludeMap = isIncludeMap;
    }

    public Map<String, Long> getRelationActivityId() {
        return relationActivityId;
    }

    public void setRelationActivityId(Map<String, Long> relationActivityId) {
        this.relationActivityId = relationActivityId;
    }

    public Map<String, Long> getRelationPluginId() {
        return relationPluginId;
    }

    public void setRelationPluginId(Map<String, Long> relationPluginId) {
        this.relationPluginId = relationPluginId;
    }
}
